// -------------------------
// Body Styles
// -------------------------
body {
  background-color: $gold;
  min-height: 100vh;
}

// -------------------------
// Link Styles
// -------------------------
a:link {
  text-decoration: none;
  color: white;
}

a:visited {
  text-decoration: none;
  color: white;
}

a:hover {
  text-decoration: underline;
  color: white;
}

a:active {
  text-decoration: underline;
  color: white;
}

.darklink:link {
  color: grey;
}
.darklink:visited {
  color: grey;
}
.darklink:hover {
  color: grey;
}
.darklink:active {
  color: grey;
}
// -------------------------
// Header Styles
// -------------------------
.header-area {
  &-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 40px;
    @media (max-width: 576px) {
      flex-direction: column;
      padding-top: 30px;
    }
  }
  .header-logo {
    display: flex;
    align-items: center;
    &-text {
      margin-left: 15px;
      p {
        font-size: 21px;
        font-weight: 700;
      }
    }
  }
  .header-menu {
    @media (max-width: 576px) {
      margin-top: 20px;
    }
    &-list {
      padding-left: 0;
      list-style: none;
      li {
        display: inline-block;
        &.active {
          font-weight: 600;
        }
        &:not(:last-child) {
          margin-right: 45px;
        }
      }
    }
  }
}


// -------------------------
// Content Styles
// -------------------------
.content-area {
  &-wrapper {
    margin-top: 30px;
    min-height: calc(100vh - 202px);  // take up space above the footer
    margin-bottom: 30px;
    .content-title {
      font-size: 42px;
      font-weight: 800;
      @media (max-width: 768px) {
        font-size: 36px;
      }
    }
    .content-text {
      br {
        @media (max-width: 768px) {
          display: none;
        }
      }
    }
    .content-img {
      margin: 55px 0 45px;
      @media (max-width: 768px) {
        margin: 40px 0;
      }
      p.caption {
        color: $gray;
        font-family: $text-font-family;
        font-size: 16px;
        margin-top: 8px;      
        margin-left: auto;
        margin-right: auto;
        max-width: 70%;
      }
      img {
        display: block;
        margin: 0 auto;
        max-width: 70%;
      }
    }
  }
}


// -------------------------
// Footer Styles
// -------------------------
.footer-area {
  font-family: $footer-font-family;
  background-color: $shade-gold;
  padding: 35px 0;
}


// -------------------------
// Modal Styles
// -------------------------
.modal__content {
  &__header {
    display: flex;
    align-items: flex-start;
    @media (max-width: 768px) {
      flex-direction: column;
    }
    .header__logo {
      img {
        display: block;
        max-width: 100%;
        @media (max-width: 768px) {
          max-width: 120px;
          width: 100%;
        }
      }
    }
    .header__text {
      margin: 0 30px;
      max-width: 430px;
      width: 100%;
      @media (max-width: 768px) {
        margin: 20px 0;
      }
      .info__list {
        font-size: 14px;
        list-style: none;
        margin-top: 10px;
        padding: 0;
      }
    }
    .header__btn {
      @media (min-width: 769px) {
        margin-left: auto;
      }
      .btn-main {
        @media (max-width: 992px) {
          font-size: 10px;
        }
      }
    }
  }

  &__description {
    margin: 30px 0;
  }

  &__slider {
    //to prevent slider jump
    @media (min-width: 1200px) {
      min-height: 586px;
      height: 100%;
    }
    .slider-item {
      margin: 0 10px;
    }
    img {
      max-width: 100%;
      @media (max-width: 768px) {
        margin: 0 auto;
      }
    }
  }
}

.modal__footer {
  p {
    font-size: 14px;
    a {
      color: inherit;
    }
  }
}


// -------------------------
// Slider Styles
// -------------------------
.slick-arrow {
  background: $royal-blue;
  border-radius: 50%;
  color: $white;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 70px;
  height: 70px;
  font-size: 34px;
  position: absolute;
  top: 50%;
  margin-top: -35px;
  transition: all .3s ease;
  z-index: 1;
  &:hover {
    background-color: lighten($royal-blue, 5%);
  }
  @media (max-width: 768px) {
    width: 50px;
    height: 50px;
    margin-top: -25px;
  }
}
.slick-prev {
  left: 0;
}
.slick-next {
  right: 0;
}


// -------------------------
// Unbox Page
// -------------------------
.unbox-container {
  padding: 50px 0;
  background-color: white;
}

img.unbox-step {
  width: 90%;
  max-width: 800px;
}